package com.yd.dal.mapper.customer;

import com.yd.dal.entity.customer.AclPractitionerFileSharing;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AclPractitionerFileSharingMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AclPractitionerFileSharing record);

    int insertSelective(AclPractitionerFileSharing record);

    AclPractitionerFileSharing selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AclPractitionerFileSharing record);

    int updateByPrimaryKey(AclPractitionerFileSharing record);

    int updateBatch(List<AclPractitionerFileSharing> list);

    int updateBatchSelective(List<AclPractitionerFileSharing> list);

    int batchInsert(@Param("list") List<AclPractitionerFileSharing> list);
}